aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-file-temp/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-10-03 15:00:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-03 15:00:33 +0000
commit4d37497a16da162351fdf595d14d2bedcdd01b17 (patch)
tree156e23a0985e0cc3bd1266eef2c173d4723feeb6 /main/perl-file-temp/APKBUILD
parent6801bdad89b289db91b9aae15a79ed0222af2e64 (diff)
downloadaports-4d37497a16da162351fdf595d14d2bedcdd01b17.tar.gz
aports-4d37497a16da162351fdf595d14d2bedcdd01b17.tar.bz2
aports-4d37497a16da162351fdf595d14d2bedcdd01b17.tar.xz
main/perl-file-temp: new aport
return name and handle of a temporary file safely http://search.cpan.org/dist/File-Temp/
Diffstat (limited to 'main/perl-file-temp/APKBUILD')
-rw-r--r--main/perl-file-temp/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/main/perl-file-temp/APKBUILD b/main/perl-file-temp/APKBUILD
new file mode 100644
index 0000000000..b6e3a12368
--- /dev/null
+++ b/main/perl-file-temp/APKBUILD
@@ -0,0 +1,40 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-file-temp
+_pkgreal=File-Temp
+pkgver=0.2302
+pkgrel=0
+pkgdesc="return name and handle of a temporary file safely"
+url="http://search.cpan.org/dist/File-Temp/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="799ceb423aa4d2bbb87a00986324e909 File-Temp-0.2302.tar.gz"
+sha256sums="a5dbeced856222bd17e13c903dee9b133757e7c19fb476a1598dde03dc80d1b0 File-Temp-0.2302.tar.gz"
+sha512sums="900dc496d03e3aac231fbf0bb4c4a08fb3cd17dcabe73af9e3771cf56862f4195c839bc666fda5b723994a09209bc679e1ca59ff312a093111c45f8ecf7c34a3 File-Temp-0.2302.tar.gz"